import click
from click.decorators import pass_context
from flask.cli import with_appcontext
from flask_migrate import upgrade

from flaschengeist.alembic import alembic_migrations_path
from flaschengeist.cli.plugin_cmd import install_plugin_command
from flaschengeist.utils.hook import Hook


@click.command()
@with_appcontext
@pass_context
@Hook("plugins.installed")
def install(ctx):
    # Install database
    upgrade(alembic_migrations_path, revision="heads")

    # Install plugins
    install_plugin_command(ctx, [], True)
